# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get the status of a Kinexys Digital Payments request In this tutorial, you'll learn how to use the Global Payments API to retrieve the status of a Kinexys Digital Payment. While the Global Payments API supports automatic status updates via webhooks, there may be situations where you need to manually check a request's status. By the end of this tutorial, you'll know how to: Use the `endToEndId` or `firmRootId` to check and confirm the status of your payment. ## Before you begin To retrieve a Kinexys Digital Payments status, you need: - A [registered and fully onboarded developer account](/docs/quick-start) on the J.P. Morgan Payments Developer Portal. - An active project that provides you with the credentials used to make a request. - A J.P. Morgan Blockchain Deposit Accounts (BDA) opened at J.P. Morgan Chase Bank, N.A and/or J.P. Morgan SE, Frankfurt. - A Demand Deposit Account (DDA) opened in an approved funding location in which you want to perform a Kinexys Digital Payments transaction. ## Get Kinexys Digital Payments status Request payloads for the Global Payments API include both optional and [required fields](/docs/treasury/global-payments/capabilities/global-payments/jpm-coin-system/payment-parameters). To retrieve the status of a Kinexys Digital Payments request, use one of the following values: - firmRootId - endToEndId Kinexys Digital Payments supports multiple response types, including `PENDING`, `PENDING_POSTING`, `COMPLETED`, and `REJECTED`. For more information, see [Response types](/docs/treasury/global-payments/capabilities/global-payments/jpm-coin-system/resources#response-types). ### Kinexys Digital Payments firmRootId status requests To obtain the payment status, send a `GET HTTP` request to the applicable URL, using the `firmRootId`. The following is an example of a CAT `GET HTTP` using the `firmRootId`: ```curl curl --request GET \ --url https://api-mock.payments.jpmorgan.com/tsapi/v1/payments?firmRootId=98275a2d-1e88-beed-6938-0521a7e0oinc' \ --header 'Accept: application/json' ``` ### Confirm firmRootId response A successful response contains a `paymentStatus` object. The following successful response represents a request that is `COMPLETE`. ```json { "paymentStatus": { "createDateTime": "2023-06-10T00:00:01.000", "status": "COMPLETED" } } ``` ### Kinexys Digital Payments endToEndId status requests To obtain the payment status, send a `GET HTTP` request to the applicable URL using the `endToEndId`. The following is an example of a CAT `GET HTTP` using the` endToEndID`: ```curl curl --request GET \ --url https://api-mock.payments.jpmorgan.com/tsapi/v1/payments/status?endToEndId=XR20210920231135 \ --header 'Accept: application/json' ``` ### Confirm endToEndId response A successful response contains a `paymentStatus` object. The following successful response represents a request that is `PENDING_POSTING`. ```json { "paymentStatus": { "createDateTime": "2022-10-15T00:00:12.145", "status": "PENDING_POSTING" } } ``` ## Related [Connect to the Global Payments API](/docs/quick-start#add-an-api-to-your-project). ## Next steps - Kinexys Digital Payments [error codes](/api/treasury/global-payments/global-payments/error-codes). - Get the details of a [Kinexys Digital Payments payment](/docs/treasury/global-payments/capabilities/global-payments/jpm-coin-system/how-to/get-coin-payment-details).